package com.gyee.frame.model.auto;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *  WeatherfhExample
 * @author Wang Jiawen_自动生成
 * @email 1@qq.com
 * @date 2020-01-07 16:14:18
 */
public class WeatherfhExample {

    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public WeatherfhExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }
				
        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(Integer value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(Integer value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }
        
			
        public Criteria andDateIsNull() {
            addCriterion("date is null");
            return (Criteria) this;
        }

        public Criteria andDateIsNotNull() {
            addCriterion("date is not null");
            return (Criteria) this;
        }

        public Criteria andDateEqualTo(Date value) {
            addCriterion("date =", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateNotEqualTo(Date value) {
            addCriterion("date <>", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateGreaterThan(Date value) {
            addCriterion("date >", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateGreaterThanOrEqualTo(Date value) {
            addCriterion("date >=", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateLessThan(Date value) {
            addCriterion("date <", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateLessThanOrEqualTo(Date value) {
            addCriterion("date <=", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateLike(Date value) {
            addCriterion("date like", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateNotLike(Date value) {
            addCriterion("date not like", value, "date");
            return (Criteria) this;
        }

        public Criteria andDateIn(List<Date> values) {
            addCriterion("date in", values, "date");
            return (Criteria) this;
        }

        public Criteria andDateNotIn(List<Date> values) {
            addCriterion("date not in", values, "date");
            return (Criteria) this;
        }

        public Criteria andDateBetween(Date value1, Date value2) {
            addCriterion("date between", value1, value2, "date");
            return (Criteria) this;
        }

        public Criteria andDateNotBetween(Date value1, Date value2) {
            addCriterion("date not between", value1, value2, "date");
            return (Criteria) this;
        }
        
			
        public Criteria andRegionIsNull() {
            addCriterion("region is null");
            return (Criteria) this;
        }

        public Criteria andRegionIsNotNull() {
            addCriterion("region is not null");
            return (Criteria) this;
        }

        public Criteria andRegionEqualTo(String value) {
            addCriterion("region =", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotEqualTo(String value) {
            addCriterion("region <>", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionGreaterThan(String value) {
            addCriterion("region >", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionGreaterThanOrEqualTo(String value) {
            addCriterion("region >=", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionLessThan(String value) {
            addCriterion("region <", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionLessThanOrEqualTo(String value) {
            addCriterion("region <=", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionLike(String value) {
            addCriterion("region like", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotLike(String value) {
            addCriterion("region not like", value, "region");
            return (Criteria) this;
        }

        public Criteria andRegionIn(List<String> values) {
            addCriterion("region in", values, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotIn(List<String> values) {
            addCriterion("region not in", values, "region");
            return (Criteria) this;
        }

        public Criteria andRegionBetween(String value1, String value2) {
            addCriterion("region between", value1, value2, "region");
            return (Criteria) this;
        }

        public Criteria andRegionNotBetween(String value1, String value2) {
            addCriterion("region not between", value1, value2, "region");
            return (Criteria) this;
        }
        
			
        public Criteria andWindpowerstationidIsNull() {
            addCriterion("windpowerstationid is null");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidIsNotNull() {
            addCriterion("windpowerstationid is not null");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidEqualTo(String value) {
            addCriterion("windpowerstationid =", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidNotEqualTo(String value) {
            addCriterion("windpowerstationid <>", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidGreaterThan(String value) {
            addCriterion("windpowerstationid >", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidGreaterThanOrEqualTo(String value) {
            addCriterion("windpowerstationid >=", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidLessThan(String value) {
            addCriterion("windpowerstationid <", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidLessThanOrEqualTo(String value) {
            addCriterion("windpowerstationid <=", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidLike(String value) {
            addCriterion("windpowerstationid like", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidNotLike(String value) {
            addCriterion("windpowerstationid not like", value, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidIn(List<String> values) {
            addCriterion("windpowerstationid in", values, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidNotIn(List<String> values) {
            addCriterion("windpowerstationid not in", values, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidBetween(String value1, String value2) {
            addCriterion("windpowerstationid between", value1, value2, "windpowerstationid");
            return (Criteria) this;
        }

        public Criteria andWindpowerstationidNotBetween(String value1, String value2) {
            addCriterion("windpowerstationid not between", value1, value2, "windpowerstationid");
            return (Criteria) this;
        }
        
			
        public Criteria andWeatherIsNull() {
            addCriterion("weather is null");
            return (Criteria) this;
        }

        public Criteria andWeatherIsNotNull() {
            addCriterion("weather is not null");
            return (Criteria) this;
        }

        public Criteria andWeatherEqualTo(String value) {
            addCriterion("weather =", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotEqualTo(String value) {
            addCriterion("weather <>", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherGreaterThan(String value) {
            addCriterion("weather >", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherGreaterThanOrEqualTo(String value) {
            addCriterion("weather >=", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherLessThan(String value) {
            addCriterion("weather <", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherLessThanOrEqualTo(String value) {
            addCriterion("weather <=", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherLike(String value) {
            addCriterion("weather like", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotLike(String value) {
            addCriterion("weather not like", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherIn(List<String> values) {
            addCriterion("weather in", values, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotIn(List<String> values) {
            addCriterion("weather not in", values, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherBetween(String value1, String value2) {
            addCriterion("weather between", value1, value2, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotBetween(String value1, String value2) {
            addCriterion("weather not between", value1, value2, "weather");
            return (Criteria) this;
        }
        
			
        public Criteria andTemperatureIsNull() {
            addCriterion("temperature is null");
            return (Criteria) this;
        }

        public Criteria andTemperatureIsNotNull() {
            addCriterion("temperature is not null");
            return (Criteria) this;
        }

        public Criteria andTemperatureEqualTo(String value) {
            addCriterion("temperature =", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotEqualTo(String value) {
            addCriterion("temperature <>", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureGreaterThan(String value) {
            addCriterion("temperature >", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureGreaterThanOrEqualTo(String value) {
            addCriterion("temperature >=", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureLessThan(String value) {
            addCriterion("temperature <", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureLessThanOrEqualTo(String value) {
            addCriterion("temperature <=", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureLike(String value) {
            addCriterion("temperature like", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotLike(String value) {
            addCriterion("temperature not like", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureIn(List<String> values) {
            addCriterion("temperature in", values, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotIn(List<String> values) {
            addCriterion("temperature not in", values, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureBetween(String value1, String value2) {
            addCriterion("temperature between", value1, value2, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotBetween(String value1, String value2) {
            addCriterion("temperature not between", value1, value2, "temperature");
            return (Criteria) this;
        }
        
			
        public Criteria andWinddirectionIsNull() {
            addCriterion("winddirection is null");
            return (Criteria) this;
        }

        public Criteria andWinddirectionIsNotNull() {
            addCriterion("winddirection is not null");
            return (Criteria) this;
        }

        public Criteria andWinddirectionEqualTo(String value) {
            addCriterion("winddirection =", value, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionNotEqualTo(String value) {
            addCriterion("winddirection <>", value, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionGreaterThan(String value) {
            addCriterion("winddirection >", value, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionGreaterThanOrEqualTo(String value) {
            addCriterion("winddirection >=", value, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionLessThan(String value) {
            addCriterion("winddirection <", value, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionLessThanOrEqualTo(String value) {
            addCriterion("winddirection <=", value, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionLike(String value) {
            addCriterion("winddirection like", value, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionNotLike(String value) {
            addCriterion("winddirection not like", value, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionIn(List<String> values) {
            addCriterion("winddirection in", values, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionNotIn(List<String> values) {
            addCriterion("winddirection not in", values, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionBetween(String value1, String value2) {
            addCriterion("winddirection between", value1, value2, "winddirection");
            return (Criteria) this;
        }

        public Criteria andWinddirectionNotBetween(String value1, String value2) {
            addCriterion("winddirection not between", value1, value2, "winddirection");
            return (Criteria) this;
        }
        
			
        public Criteria andRealfeelIsNull() {
            addCriterion("realfeel is null");
            return (Criteria) this;
        }

        public Criteria andRealfeelIsNotNull() {
            addCriterion("realfeel is not null");
            return (Criteria) this;
        }

        public Criteria andRealfeelEqualTo(Double value) {
            addCriterion("realfeel =", value, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelNotEqualTo(Double value) {
            addCriterion("realfeel <>", value, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelGreaterThan(Double value) {
            addCriterion("realfeel >", value, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelGreaterThanOrEqualTo(Double value) {
            addCriterion("realfeel >=", value, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelLessThan(Double value) {
            addCriterion("realfeel <", value, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelLessThanOrEqualTo(Double value) {
            addCriterion("realfeel <=", value, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelLike(Double value) {
            addCriterion("realfeel like", value, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelNotLike(Double value) {
            addCriterion("realfeel not like", value, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelIn(List<Double> values) {
            addCriterion("realfeel in", values, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelNotIn(List<Double> values) {
            addCriterion("realfeel not in", values, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelBetween(Double value1, Double value2) {
            addCriterion("realfeel between", value1, value2, "realfeel");
            return (Criteria) this;
        }

        public Criteria andRealfeelNotBetween(Double value1, Double value2) {
            addCriterion("realfeel not between", value1, value2, "realfeel");
            return (Criteria) this;
        }
        
			
        public Criteria andSpeedIsNull() {
            addCriterion("speed is null");
            return (Criteria) this;
        }

        public Criteria andSpeedIsNotNull() {
            addCriterion("speed is not null");
            return (Criteria) this;
        }

        public Criteria andSpeedEqualTo(Double value) {
            addCriterion("speed =", value, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedNotEqualTo(Double value) {
            addCriterion("speed <>", value, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedGreaterThan(Double value) {
            addCriterion("speed >", value, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedGreaterThanOrEqualTo(Double value) {
            addCriterion("speed >=", value, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedLessThan(Double value) {
            addCriterion("speed <", value, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedLessThanOrEqualTo(Double value) {
            addCriterion("speed <=", value, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedLike(Double value) {
            addCriterion("speed like", value, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedNotLike(Double value) {
            addCriterion("speed not like", value, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedIn(List<Double> values) {
            addCriterion("speed in", values, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedNotIn(List<Double> values) {
            addCriterion("speed not in", values, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedBetween(Double value1, Double value2) {
            addCriterion("speed between", value1, value2, "speed");
            return (Criteria) this;
        }

        public Criteria andSpeedNotBetween(Double value1, Double value2) {
            addCriterion("speed not between", value1, value2, "speed");
            return (Criteria) this;
        }
        
	}

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}